package de.rmdir.ms2debounce;

import android.app.Activity;
import android.os.Bundle;
import android.content.Intent;
import android.widget.TextView;

public class MS2Debounce extends Activity
{
	@Override
	public void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);

		DebounceModuleHelper module = new DebounceModuleHelper(this);

		if (!module.isLoaded()) {
			module.loadModule();
		}

		setContentView(R.layout.main);

		TextView text = (TextView)findViewById(R.id.text);
		text.setText("You will soon be able to set the debounce_delay here.\nModule loaded: " + module.isLoaded() + "\ndebounce_delay: " + module.getDelay() + "ms\nsafe_to_load: " + module.is_safe_to_load());
	}
}
